### Signal

# Shell WM::size-change

since: 14

#### Declaration

    void
    size_change (
      ShellWM* self,
      MetaWindowActor* object,
      MetaSizeChange p0,
      MtkRectangle* p1,
      MtkRectangle* p2,
      gpointer user_data
    )

#### Description

No description available.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 14

#### Parameters

`object`

  Type: `MetaWindowActor`

  No description available.

  The data is owned by the caller of the function.

`p0`

  Type: `MetaSizeChange`

  No description available.

`p1`

  Type: `MtkRectangle`

  No description available.

  The data is owned by the caller of the function.

`p2`

  Type: `MtkRectangle`

  No description available.

  The data is owned by the caller of the function.